AirborneCollider = {}
AirborneCollider.__index = AirborneCollider

function AirborneCollider:Create(me)
	SetPower(me,2)
end

function AirborneCollider:Update(me)

	if GetLifetime(me) == 0
	then
		SetHealth(me,0)
	end
	
end

function AirborneCollider:Collide(me,you)
	x,y = GetPosition(you)
	y = y - 32
	CreateEmitter("Null", x,y)
	Smash(you,10*GetDirection(me),10*GetDirection(me))
end

function AirborneCollider::CollideWorld(me)
	Kill(me)
end

function AirborneCollider:Death(me)
	SetParentInvincible(me,0)
end

end